Page MenuHomePhabricator

"ext.globalCssJs.user.styles" loaded before site styles marker instead of after
Closed, ResolvedPublic

Description

The load position (and with that, the cascading styles order) unintentionally changed recently.

Most likely due to rMW80e5b160e098: resourceloader: Move queue formatting out of OutputPage.

It kept the exempt positions for core modules, but not for extension modules with group=user. We'll need to make the exempt logic a bit more flexible so that it also considers any other arbitrary module passed to addModuleStyles() if it has group 'user' or 'site'.

Event Timeline

Krinkle created this task.Aug 18 2016, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2016, 8:26 PM
Krinkle triaged this task as High priority.Aug 18 2016, 8:27 PM
Krinkle moved this task from Inbox to Confirmed Problem on the MediaWiki-ResourceLoader board.
Krinkle claimed this task.Aug 18 2016, 11:06 PM
Krinkle moved this task from Inbox to Doing on the Performance-Team board.Aug 18 2016, 11:11 PM

Change 305609 had a related patch set uploaded (by Krinkle):
OutputPage: Make ResourceLoader position exemption more generic

https://gerrit.wikimedia.org/r/305609

Change 305609 merged by jenkins-bot:
OutputPage: Make ResourceLoader position exemption more generic

https://gerrit.wikimedia.org/r/305609

Change 305618 had a related patch set uploaded (by Krinkle):
OutputPage: Make ResourceLoader position exemption more generic

https://gerrit.wikimedia.org/r/305618

Change 305618 merged by jenkins-bot:
OutputPage: Make ResourceLoader position exemption more generic

https://gerrit.wikimedia.org/r/305618

Mentioned in SAL [2016-08-19T06:32:21Z] <krinkle@tin> Synchronized php-1.28.0-wmf.15/includes/OutputPage.php: T143357 (duration: 00m 55s)

Krinkle closed this task as Resolved.Aug 19 2016, 6:32 AM
Krinkle moved this task from Confirmed Problem to Assigned on the MediaWiki-ResourceLoader board.